View Issue Details

IDProjectCategoryView StatusLast Update
0004719Kali Linux[All Projects] Kali Package Improvementpublic2018-09-08 09:12
Reporterfl0 Assigned Torhertzog  
PrioritylowSeveritytweakReproducibilityalways
Status resolvedResolutionno change required 
Product Version2018.1 
Target VersionFixed in Version2018.4 
Summary0004719: Use of /etc/initramfs-tools/conf.d/cryptsetup is deprecated
DescriptionA warning message is printed when updating kernel/initramfs:

root@kali:~# update-initramfs -u
update-initramfs: Generating /boot/initrd.img-4.15.0-kali2-amd64
WARNING: Setting CRYPTSETUP in /etc/initramfs-tools/initramfs.conf is deprecated and will stop working in the future. Use /etc/cryptsetup-initramfs/conf-hook instead.
Steps To Reproduceroot@kali:~# update-initramfs -u
Additional InformationSet "CRYPTSETUP=y" in /etc/cryptsetup-initramfs/conf-hook and delete /etc/initramfs-tools/conf.d/cryptsetup .

Activities

rhertzog

2018-04-27 13:25

administrator   ~0009071

Can you please post the output of "dpkg -s cryptsetup" ?

I believe that this issue has been fixed already but you might have an old config file lying around.

usama

2018-04-27 14:16

reporter   ~0009074

I also get this warning.Here is the output of dpkg -s cryptsetup


Package: cryptsetup
Status: install ok installed
Priority: optional
Section: admin
Installed-Size: 377
Maintainer: Debian Cryptsetup Team <pkg-cryptsetup-devel@lists.alioth.debian.org>
Architecture: amd64
Version: 2:2.0.1-1kali1
Replaces: cryptsetup-luks, hashalot (<< 0.3-2)
Provides: cryptsetup-luks
Depends: cryptsetup-bin (>= 2:1.6.0), dmsetup, debconf (>= 0.5) | debconf-2.0, libc6 (>= 2.15)
Recommends: busybox | busybox-static, console-setup, initramfs-tools (>= 0.129) | linux-initramfs-tool, kbd
Suggests: dosfstools, keyutils, liblocale-gettext-perl
Breaks: hashalot (<< 0.3-2)
Conflicts: cryptsetup-luks
Conffiles:
 /etc/cryptsetup-initramfs/conf-hook 7c1314c3f6ebb652e75fd5787206c47f
 /etc/default/cryptdisks 756141f7eacf1a272a2f6e51646b3aa4
 /etc/init.d/cryptdisks 20b58baefc1aed5021a28e2fb9439edd
 /etc/init.d/cryptdisks-early e1cf19de7f8aae9e52a6aa7c244fe65d
Description: disk encryption support - startup scripts
 Cryptsetup provides an interface for configuring encryption on block
 devices (such as /home or swap partitions), using the Linux kernel
 device mapper target dm-crypt. It features integrated Linux Unified Key
 Setup (LUKS) support.
 .
 Cryptsetup is backwards compatible with the on-disk format of cryptoloop,
 but also supports more secure formats. This package includes support for
 automatically configuring encrypted devices at boot time via the config
 file /etc/crypttab. Additional features are cryptoroot support through
 initramfs-tools and several supported ways to read a passphrase or key.
Homepage: https://gitlab.com/cryptsetup/cryptsetup

fl0

2018-04-27 15:26

reporter   ~0009075

Same output as @usama.

I have this warning on all my Kali machines including fresh installed one (2 week old).

kimocoder

2018-08-25 20:36

reporter   ~0009525

Same here.. for this for some time now

rhertzog

2018-09-08 09:12

administrator   ~0009613

This got fixed as we no longer have any CRYPTSETUP=y setting currently. But we had to reintroduce it for 0004945. But I reported the problem that it should not warn for this case to Debian, so it should hopefully be fixed soon.

See https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=908220#24 where the maintainer said he would fix it.

Issue History

Date Modified Username Field Change
2018-04-27 12:13 fl0 New Issue
2018-04-27 13:25 rhertzog Note Added: 0009071
2018-04-27 13:25 rhertzog Assigned To => rhertzog
2018-04-27 13:25 rhertzog Status new => feedback
2018-04-27 14:16 usama Note Added: 0009074
2018-04-27 15:26 fl0 Note Added: 0009075
2018-04-27 15:26 fl0 Status feedback => assigned
2018-08-25 20:36 kimocoder Note Added: 0009525
2018-09-08 09:12 rhertzog Status assigned => resolved
2018-09-08 09:12 rhertzog Resolution open => no change required
2018-09-08 09:12 rhertzog Fixed in Version => 2018.4
2018-09-08 09:12 rhertzog Note Added: 0009613